""" Converts a LTL formula to a GNBA

"""

from __future__ import annotations
from collections.abc import Mapping, Iterator, Iterable

from typing import (
    TypeAlias, Type, Tuple, Callable, Optional, NewType,
    List, Set,
    Union, TypedDict, IO, TypeVar
)

from mc308.data_structures.ts import States, Prop, Trans
from mc308.data_structures.nba import *
from mc308.data_structures.formula import PropFormula
from mc308.data_structures.ltl import *
from mc308.data_structures.ltl_functions import *


def ltl2buchi(ltl :  LtlFormula) -> GNBA:
    raise NotImplementedError

